petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscViewerFileGetName

Gets the name of the file the PetscViewer uses.

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerFileGetName(PetscViewer viewer,const char **name)

Not Collective

### Input Parameter

viewer -the PetscViewer; either ASCII or binary

### Output Parameter

name -the name of the file it is using

### See Also

PetscViewerCreate(), PetscViewerSetType(), PetscViewerASCIIOpen(), PetscViewerBinaryOpen(), PetscViewerFileSetName()

### Level

advanced

### Location

src/sys/classes/viewer/impls/ascii/filev.c

### Implementations

PetscViewerFileGetName_ADIOS in src/sys/classes/viewer/impls/adios/adios.c
PetscViewerFileGetName_ADIOS2 in src/sys/classes/viewer/impls/adios2/adios2.c
PetscViewerFileGetName_ASCII in src/sys/classes/viewer/impls/ascii/filev.c
PetscViewerFileGetName_Binary in src/sys/classes/viewer/impls/binary/binv.c
PetscViewerFileGetName_HDF5 in src/sys/classes/viewer/impls/hdf5/hdf5v.c
PetscViewerFileGetName_VTK in src/sys/classes/viewer/impls/vtk/vtkv.c
PetscViewerFileGetName_VU in src/sys/classes/viewer/impls/vu/petscvu.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages